=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
 Build-Depends: adwaita-icon-theme-full <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-translations,
                fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
-               gcc:native,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas <!nocheck>,
@@ -29,10 +28,10 @@
                libgdk-pixbuf-2.0-dev (>= 2.40.0) | libgdk-pixbuf2.0-dev (>= 2.40.0),
                libgirepository1.0-dev (>= 1.39.0),
                libglib2.0-dev (>= 2.57.2),
-               libharfbuzz-dev (>= 0.9),
+               libharfbuzz-dev (>= 2.2.0),
                libjson-glib-dev:native,
-               libpango1.0-dev (>= 1.41.0),
-               librsvg2-common <!nocheck>,
+               libpango1.0-dev (>= 1.44.0),
+               librsvg2-common [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64] <!nocheck>,
                libwayland-dev (>= 1.14.91) [linux-any],
                libx11-dev,
                libxcomposite-dev,
@@ -59,7 +58,7 @@
                      libpango1.0-doc,
                      xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
@@ -112,6 +111,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libgtk-3-0
+Breaks: libgtk-3-dev (<< 3.24.30-3~)
+Replaces: libgtk-3-dev (<< 3.24.30-3~)
 Description: common files for the GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -154,7 +155,7 @@
          libfribidi-dev (>= 0.19.7),
          libgdk-pixbuf-2.0-dev (>= 2.40.0) | libgdk-pixbuf2.0-dev (>= 2.40.0),
          libglib2.0-dev (>= 2.57.2),
-         libpango1.0-dev (>= 1.41),
+         libpango1.0-dev (>= 1.44.0),
          libwayland-dev (>= 1.9.91) [linux-any],
          libx11-dev,
          libxcomposite-dev,
@@ -170,7 +171,7 @@
          wayland-protocols (>= 1.17) [linux-any],
          ${misc:Depends},
          ${shlibs:Depends},
-         libgtk-3-common,
+         libgtk-3-common (>= ${source:Version}),
          libgtk-3-0 (= ${binary:Version})
 Suggests: libgtk-3-doc
 Description: development files for the GTK library
