=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Ensure the build aborts when there are still references to undefined symbols
 # currently fails at least in the im-multipress im module
 #LDFLAGS += -Wl,-z,defs
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
 
 APIVER := 3
 SONAME := 0
@@ -203,6 +203,9 @@
 endif
 
 override_dh_auto_test:
+# The tests require librsvg2-common which is only available on architectures
+# where rust has been ported to, disable the tests on the other ones
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Mark reftests with known failures as non-fatal
 	# (See also somehow_broken in testsuite/reftests/meson.build)
@@ -221,8 +224,3 @@
 	mkdir -p debian/build/glib-2.0/schemas/
 	cp gtk/org.gtk.* debian/build/glib-2.0/schemas/
 	glib-compile-schemas debian/build/glib-2.0/schemas/
-	# Remove LD_PRELOAD so we don't run with fakeroot, which makes dbus-related tests fail
-	env -u LD_PRELOAD xvfb-run -a dh_auto_test --builddirectory=debian/build/deb -- -k check -j1
-endif
-
-override_dh_auto_install:
