## gtk+3.0 3.24.34

=== debian/changelog ===
gtk+3.0 (3.24.34-3ubuntu2) kinetic; urgency=medium

  * Re-enable and adapt reftest-known-fail.patch (lp: #1987304)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 24 Aug 2022 10:11:03 -0300

gtk+3.0 (3.24.34-3ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian, remaining changes
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 17:48:34 -0400

gtk+3.0 (3.24.34-3) unstable; urgency=medium

  * d/control.in: Remove support for pre-bullseye versions of gdk-pixbuf
  * Backport reftest comparison machinery from our gtk4 packaging.
    This will let us distinguish between "fails by small differences caused
    by rounding/i387/..." and "completely different result", without having
    to move the whole build system to Meson, which seems like one variation
    too many during a transition.
  * d/rules: Ignore new reftest failure for linear-gradient on any-i386.
    This seems to have regressed despite the GTK code not having changed,
    possibly as a result of changes in another package, and it seems to be
    the reference rendering rather than the test output that changed.
    Please report a bug if there are user-visible rendering issues
    involving gradients on i386.
  * Update Lintian overrides
  * Refer to #1017578 in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Aug 2022 20:57:41 +0100

gtk+3.0 (3.24.34-2) unstable; urgency=medium

  * d/p/Avoid-repeated-g_log_set_writer_func-in-tests.patch:
    Add proposed patch to fix test failure with GLib 2.73.x
    (Closes: #1017578)
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Aug 2022 19:58:54 +0100

gtk+3.0 (3.24.34-1ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian, remaining changes
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 16:46:14 -0400

gtk+3.0 (3.24.34-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Drop patches that were cherry-picked from upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Jun 2022 17:12:17 +0100

gtk+3.0 (3.24.33-2ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian, remaining changes
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 16:12:01 -0400

gtk+3.0 (3.24.33-2) unstable; urgency=medium

  * Cherry-pick gtk-3-24 commits needed for mutter 42.1 (LP: #1972721)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 15:47:13 -0400
