=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme-full <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
@@ -25,7 +25,7 @@
                libepoxy-dev (>= 1.4),
                libfontconfig1-dev,
                libfribidi-dev (>= 0.19.7),
-               libgdk-pixbuf-2.0-dev (>= 2.40.0) | libgdk-pixbuf2.0-dev (>= 2.40.0),
+               libgdk-pixbuf-2.0-dev (>= 2.40.0),
                libgirepository1.0-dev (>= 1.39.0),
                libglib2.0-dev (>= 2.57.2),
                libharfbuzz-dev (>= 2.2.0),
@@ -58,7 +58,7 @@
                      libpango1.0-doc,
                      xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
@@ -153,7 +153,7 @@
          libepoxy-dev (>= 1.0),
          libfontconfig1-dev,
          libfribidi-dev (>= 0.19.7),
-         libgdk-pixbuf-2.0-dev (>= 2.40.0) | libgdk-pixbuf2.0-dev (>= 2.40.0),
+         libgdk-pixbuf-2.0-dev (>= 2.40.0),
          libglib2.0-dev (>= 2.57.2),
          libpango1.0-dev (>= 1.44.0),
          libwayland-dev (>= 1.9.91) [linux-any],
