=== debian/rules ===
--- 
+++ 
@@ -132,11 +132,36 @@
 %:
 	dh $@ --buildsystem=autoconf
 
+fuzzy_reftests = \
+	$(NULL)
+
+# See testsuite/reftests/meson.build
+ignore_reftests = \
+	button-wrapping \
+	cellrenderer-pixbuf-stock-rtl \
+	label-sizing \
+	label-wrap-justify \
+	quit-mnemonic \
+	symbolic-icon-translucent-color \
+	window-height-for-width \
+	$(NULL)
+
+# Debian-specific
+ignore_reftests += \
+	flipping-icons \
+	$(NULL)
+
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386))
+ignore_reftests += linear-gradient
+endif
+
+xfail_reftests = \
+	$(NULL)
+
 override_dh_clean: debian/control
 	# gross kludge to force control generation with the %.in target
 	touch debian/control.in
 	rm -f $(call dh_subst_files,$(all_binaries))
-	rm -f testsuite/reftests/*.ui.known_fail
 	rm -rf debian/build debian/install
 	# The build system does not automatically update the GResource files
 	# when resources change. Force an update in case we ship a patch which
@@ -217,10 +242,3 @@
 	touch testsuite/reftests/label-text-shadow-changes-modify-clip.ui.known_fail
 	touch testsuite/reftests/label-wrap-justify.ui.known_fail
 	touch testsuite/reftests/quit-mnemonic.ui.known_fail
-	touch testsuite/reftests/symbolic-icon-translucent-color.ui.known_fail
-	touch testsuite/reftests/text-shadow-changes-modify-clip.ui.known_fail
-	touch testsuite/reftests/window-height-for-width.ui.known_fail
-	# So that gsettings can find the (uninstalled) gtk schemas
-	mkdir -p debian/build/glib-2.0/schemas/
-	cp gtk/org.gtk.* debian/build/glib-2.0/schemas/
-	glib-compile-schemas debian/build/glib-2.0/schemas/
